@import url('base.css');
@import url('./modules/layout.css');
@import url('./modules/cards.css');
@import url('./modules/carrusel-banner.css');
@import url('./modules/fonts.css');
@import url('./modules/constantes.css');

.loader-container {
  transition: all 0.3s ease-in-out 0s;
  opacity: 0;
  visibility: hidden;
  height: 0;
  width: 0;
  overflow: hidden;
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}
.loader-container.show {
  opacity: 1;
  visibility: visible;
  height: 100%;
  width: 100%;
  overflow: unset;
}
.loader-container .loader {
  width: 15px;
  aspect-ratio: 1;
  border-radius: 50%;
  animation: l5 1s infinite linear alternate;
}

.slider {
  margin-top: 7rem; /* Increased margin for smaller devices */
}

@media screen and (min-width: 768px) {
  .slider {
    margin-top: 6rem; /* Reduced margin for medium devices */
  }
}

@media screen and (min-width: 992px) {
  .slider {
    margin-top: 6.5rem; /* Further reduced margin for larger devices */
  }
}

.carrusel {
  position: relative;
  overflow: hidden;
  padding: 2rem;
}

.carrusel .card {
  margin: 0 1rem;
  display: none; /* Ensure only one card is displayed at a time */
  background: #fff;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  transition: transform 0.3s ease;
  flex-direction: row;
  height: 100%; /* Set a fixed height for all cards */
}

.carrusel .card.active {
  display: flex; /* Display the active card */
}

.carrusel .card img {
  width: 100%;
  height: auto;
}

.carrusel .card-content {
  width: 50%;
  padding: 1rem;
  display: flex;
  gap: 2rem;
  flex-direction: column;
  justify-content: center;
}

@media screen and (max-width: 768px) {
  .carrusel .card {
    flex-direction: column-reverse; /* Change to column layout for smaller screens */
    gap: 1rem;
  }

  .carrusel .card img {
    width: 100%; /* Image takes full width */
  }

  .carrusel .card-content {
    width: 100%; /* Content takes full width */
  }
}

.card-content img {
  width: 100%;
  height: auto;
  border-radius: 8px;
}
.carrusel .card-description {
  font-size: 1rem;
  color: var(--color-primary); /* Blue color */
}

.carrusel .nav-button {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: none;
  color: #000;
  border: none;
  padding: 0;
  cursor: pointer;
  font-size: 2rem;
  transition: color 0.3s ease, transform 0.3s ease;
}

.carrusel .nav-button:hover {
  color: var(--color-secondary); /* Yellow color */
  transform: translateY(-50%) scale(1.1);
}

.carrusel .nav-button.prev {
  left: 1rem;
}

.carrusel .nav-button.next {
  right: 1rem;
}

.carrusel .bottom-nav {
  display: flex;
  justify-content: center;
  margin-top: 1rem;
}

.carrusel .bottom-nav button {
  background: #000;
  border: none;
  cursor: pointer;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  margin: 0 0.5rem;
  transition: background 0.3s ease;
}

.carrusel .bottom-nav button.active {
  background: var(--color-secondary); /* Yellow color */
}

.carrusel .bottom-nav button:hover {
  background: var(--color-secondary); /* Yellow color */
}

.section-download {
  background: url('../images/cards/MANUAL CORPO_BANNER.jpg') no-repeat center center;
  background-size: cover;
  background-color: var(--color-primary);
  color: var(--color-background); 
  padding: 2rem;
  text-align: center;
  margin-bottom: 1rem;
  margin-left: 3%;
  margin-right: 3%;
}

.section-download h2 {
  margin-bottom: 1rem;
}

.section-download .larger-text {
  font-size: 2rem;
  font-weight: bold;
}

.section-download .small-text {
  font-size: 1.3rem; 
  margin-top: 2rem;
  margin-bottom: 1.5rem;
}

.section-download .yellow-button {
  background-color: var(--color-secondary); 
  border: 2px solid var(--color-background); 
  color: var(--color-primary); 
  padding: 0.5rem 1rem;
  font-size: 1rem;
  font-weight: bold;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  border-radius: 25px;
  transform: scale(1);
  animation: pulse 2s infinite;
}

@keyframes pulse {
    0% {
        transform: scale(0.95);
        
    }

    50% {
        transform: scale(1);

    }

    100% {
        transform: scale(0.95);

    }
}

.section-download .yellow-button svg {
  margin-right: 0.5rem;
}